﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TransitionControlTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.TransitionControl.Content = new MyContent() { Number = 1, RectFill = Brushes.Green };
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var oldContent = (this.TransitionControl.Content as MyContent);
            var newContent = new MyContent() { Number = oldContent.Number, RectFill = oldContent.RectFill };
            if (newContent.Number % 2 != 0)
            {
                newContent.RectFill = Brushes.Black;
            }
            else
            {
                newContent.RectFill = Brushes.Green;
            }

            newContent.Number++;
            this.TransitionControl.Content = newContent;
        }
    }
}
